Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.swift
Class SwiftClient

    java.lang.Object
      com.intel.cosbench.client.swift.SwiftClient

    public class SwiftClient

extends java.lang.Object

Constructor Summary
`SwiftClient(org.apache.http.client.HttpClient client)`

Method Summary
`boolean` | `containerExists(java.lang.String container)`
`void` | `createContainer(java.lang.String container)`
`void` | `deleteContainer(java.lang.String container)`
`void` | `deleteObject(java.lang.String container, java.lang.String object)`
`void` | `dispose()`
`SwiftAccount` | `getAccountInfo()`
`java.lang.String` | `getAuthToken()`
`SwiftContainer` | `getContainerInfo(java.lang.String container)`
`java.io.InputStream` | `getObjectAsStream(java.lang.String container, java.lang.String object)`
`java.util.Map<java.lang.String,java.lang.String>` | `getObjectMetadata(java.lang.String container, java.lang.String object)`
`java.lang.String` | `getStorageURL()`
`void` | `init(java.lang.String authToken, java.lang.String storageURL)`
`void` | `storeObject(java.lang.String container, java.lang.String object, byte[] data)`
`void` | `storeObjectMetadata(java.lang.String container, java.lang.String object, java.util.Map<java.lang.String,java.lang.String> map)`
`void` | `storeStreamedObject(java.lang.String container, java.lang.String object, java.io.InputStream data, long length)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftClient

    public SwiftClient(org.apache.http.client.HttpClient client)

Method Detail

### getAuthToken

    public java.lang.String getAuthToken()

### getStorageURL

    public java.lang.String getStorageURL()

### dispose

    public void dispose()

### init

    public void init(java.lang.String authToken,
                     java.lang.String storageURL)

### getAccountInfo

    public SwiftAccount getAccountInfo()
                                throws java.io.IOException,
                                       SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### getContainerInfo

    public SwiftContainer getContainerInfo(java.lang.String container)
                                    throws java.io.IOException,
                                           SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### createContainer

    public void createContainer(java.lang.String container)
                         throws java.io.IOException,
                                SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### deleteContainer

    public void deleteContainer(java.lang.String container)
                         throws java.io.IOException,
                                SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### getObjectAsStream

    public java.io.InputStream getObjectAsStream(java.lang.String container,
                                                 java.lang.String object)
                                          throws java.io.IOException,
                                                 SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### storeObject

    public void storeObject(java.lang.String container,
                            java.lang.String object,
                            byte[] data)
                     throws java.io.IOException,
                            SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### storeStreamedObject

    public void storeStreamedObject(java.lang.String container,
                                    java.lang.String object,
                                    java.io.InputStream data,
                                    long length)
                             throws java.io.IOException,
                                    SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### deleteObject

    public void deleteObject(java.lang.String container,
                             java.lang.String object)
                      throws java.io.IOException,
                             SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### containerExists

    public boolean containerExists(java.lang.String container)
                            throws java.io.IOException,
                                   org.apache.http.HttpException

  Throws:
    `java.io.IOException`
    `org.apache.http.HttpException`

### getObjectMetadata

    public java.util.Map<java.lang.String,java.lang.String> getObjectMetadata(java.lang.String container,
                                                                              java.lang.String object)
                                                                       throws java.io.IOException,
                                                                              SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

### storeObjectMetadata

    public void storeObjectMetadata(java.lang.String container,
                                    java.lang.String object,
                                    java.util.Map<java.lang.String,java.lang.String> map)
                             throws java.io.IOException,
                                    SwiftException

  Throws:
    `java.io.IOException`
    `SwiftException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD